image: obarun/base:latest

before_script:
  - pacman -Syu --noconfirm
  - pacman -S autoconf automake binutils bison file flex gcc gettext groff libtool m4 make patch pkgconf texinfo which --noconfirm
  - pacman -S skalibs execline oblibs s6 s6-rc scdoc --noconfirm
  
build:
  stage: build
  script:
  - ./configure --bindir=/usr/bin --with-system-dir=/usr/lib/66/service
  - make -j9
  - make -j9 install-html DESTDIR=gitlab-ci
  - make -j9 man
  - make -j9 install DESTDIR=gitlab-ci
  - make -j9 install-man DESTDIR=gitlab-ci
  
  only:
    refs:
      - master
    
